## ocamldap 1.6.5

=== Makefile ===
-include Makefile.conf

SOURCES=ulist.ml ocamldap.mli ocamldap.ml schemalexer.mll schemaparser.ml \
ooldap.mli ooldap.ml ldifparser.ml ooldif.ml ooldif.mli libocamldap.c
RESULT=ocamldap
PACKS=netstring
CLIBS=ldap
OCAMLNCFLAGS=-inline 1000

LIBINSTALL_FILES=$(wildcard *.mli *.cmi *.cma *.cmxa *.a *.so)
OCAMLDOCFLAGS=-sort

all: dep byte-code-library
opt: dep native-code-library
reallyall: dep byte-code-library native-code-library
install: libinstall
uninstall: libuninstall

dep:
	camlp4o pr_o.cmo -impl varcc.ml4 -o varcc.ml
	ocamlc -labels -o varcc varcc.ml
	rm -f *_tags.h *_tags.c
	cpp -traditional-cpp  ocamldap.mli4 | grep -v "^\#.*" >ocamldap.mli
	cpp -traditional-cpp  ocamldap.ml4 | grep -v "^\#.*" >ocamldap.ml
	cpp -traditional-cpp  ocamldap_tags.var4 | grep -v "^\#.*" >ocamldap_tags.var
	./varcc < ocamldap_tags.var -c ocamldap_tags.c -h ocamldap_tags.h

-include OCamlMakefile
