=== debian/control ===
Source: ocamldap
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1~),
 debhelper (>= 7), 
 ocaml-nox (>= 3.10.0-9~),
 ocaml-findlib (>= 1.2.5),
 libocamlnet-ocaml-dev (>= 2.2.9-7~),
 libssl-ocaml-dev (>= 0.4.3-3~),
 dh-ocaml (>= 0.9)
Standards-Version: 3.8.3
Vcs-Git: https://salsa.debian.org/ocaml-team/ocamldap.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamldap
Homepage: http://sourceforge.net/projects/ocamldap/

Package: libldap-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 libocamlnet-ocaml-dev (>= 2.2.8.1-1),
 libssl-ocaml-dev (>= 0.4.2-3),
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Description: LDAP bindings for OCaml 
 It supports the core ldap-client functions, including search, add,
 modify, and delete.
 .
 It has now an object oriented interface which supports the above 
 features, and some additional ones. Such as, nice data structures 
 for local ldap entries which record local modifications and can sync
 them with the server, fewer arguments needed to perform simple 
 tasks, and an API modeled after Perl's Net::LDAP.
