=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ocamldap package
# Copyright (C) 2006 Sylvain Le Gall <gildor@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301, USA.


include /usr/share/cdbs/1/rules/ocaml.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

PACKAGE_DEV := libldap-ocaml-dev
DESTDIR_DEV := $(CURDIR)/debian/$(PACKAGE_DEV)

DEB_MAKE_CLEAN_TARGET    := clean

DEB_MAKE_BUILD_TARGET    := all 
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
DEB_MAKE_BUILD_TARGET    += opt 
endif

DEB_MAKE_INSTALL_TARGET  := install \
  OCAMLFIND_INSTFLAGS="-ldconf ignore -destdir $(DESTDIR_DEV)/$(OCAML_STDLIB_DIR)"

debian/protect-stamp:
	-mv ldap_urlparser.cmi ldap_urlparser.cmi.old
	-mv testoo.cmi  testoo.cmi.old
	touch $@

pre-build:: debian/protect-stamp

clean:: debian/protect-stamp 
	-mv ldap_urlparser.cmi.old ldap_urlparser.cmi
	-mv testoo.cmi.old  testoo.cmi
	-$(RM) debian/protect-stamp
