=== debian/watch ===
version=3
https://github.com/kit-ty-kate/ocamldap/releases .*/archive/v?([0-9.]+)\.tar\.gz
