## ocamldap 2.4.2

=== debian/changelog ===
ocamldap (2.4.2-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Do not run tests that use network

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Update watch file format version to 4.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.
  * Update standards version to 4.5.1, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 29 Aug 2021 13:12:43 +0200
