=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libocamlnet-ocaml-dev,
  libssl-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocamldap.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamldap
@@ -25,6 +25,8 @@
  ${misc:Depends}
 Provides:
  ${ocaml:Provides}
+Suggests:
+ ocaml-findlib
 Description: LDAP bindings for OCaml
  It supports the core ldap-client functions, including search, add,
  modify, and delete.
