=== debian/watch ===
version=4
https://github.com/kit-ty-kate/ocamldap/releases .*/archive/refs/tags/v?([0-9.]+)\.tar\.gz
