## ocamldap 2.5.1

=== debian/changelog ===
ocamldap (2.5.1-1build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 02:56:47 +0200

ocamldap (2.5.1-1build7) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 09:20:25 +0200

ocamldap (2.5.1-1build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:08:17 +0100

ocamldap (2.5.1-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:04:15 +0100

ocamldap (2.5.1-1build4) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 17:41:35 +0200

ocamldap (2.5.1-1build3) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 14:39:07 +0200

ocamldap (2.5.1-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:48:16 +0200

ocamldap (2.5.1-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:47:36 +0200

ocamldap (2.5.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 01 Aug 2024 14:49:50 +0200

ocamldap (2.4.2-7) unstable; urgency=medium

  * Team upload
  * Work around Re.Pcre incompleteness

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Jul 2024 13:57:25 +0200

ocamldap (2.4.2-6) unstable; urgency=medium

  * Team upload
  * Depend on camlp-streams (Closes: #1073892)
  * Use re instead of pcre

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Jul 2024 09:43:23 +0200

ocamldap (2.4.2-5) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:48:15 +0200

ocamldap (2.4.2-4) unstable; urgency=medium

  * Team upload
  * Build-depend on libpcre-ocaml-dev (Closes: #1042469)
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Sat, 29 Jul 2023 07:49:57 +0200

ocamldap (2.4.2-3) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 06:46:02 +0200

ocamldap (2.4.2-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 14:37:54 +0200
