=== debian/control ===
--- 
+++ 
@@ -6,12 +6,14 @@
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
+ libcamlp-streams-ocaml-dev,
  libocamlnet-ocaml-dev,
+ libre-ocaml-dev,
  libssl-ocaml-dev,
- dh-ocaml
-Standards-Version: 4.5.1
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocamldap.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamldap
